# file: Gmail.rb

# Ruby script to send email using the GMail SMTP Server (smtp.gmail.com)

require '../chilkat'

# Create an instance of the mailman object for sending.
mailman = Chilkat::CkMailMan.new()
mailman.UnlockComponent("anything for 30-day trial")

# Set your SMTP server's hostname
mailman.put_SmtpHost("smtp.gmail.com")

# GMail requires a login/password to send mail.
mailman.put_SmtpUsername("gmail_login@gmail.com")
mailman.put_SmtpPassword("gmail_password")

# The default SMTP port is 25.  When using it, GMail requires STARTTLS.
mailman.put_StartTLS(true)

# Alternatively, you may comment-out the STARTTLS line and instead use SSL
# on port 465 by commenting-in these 2 lines:
#mailman.put_SmtpPort(465)
#mailman.put_SmtpSsl(true)

# If you are connected to a network that blocks outbound port 25 connections,
# use GMail's alternative port 587.  You'll need STARTTLS, so uncomment the 
# STARTTLS line and make sure the two lines for SMTP SSL are commented out.
#mailman.put_SmtpPort(587)
	
# Create a simple email
email = Chilkat::CkEmail.new()
email.put_Subject("Sending email using GMail SMTP")
email.put_Body("This email was sent from the GMail SMTP Server")
email.put_From("Chilkat Support <support@chilkatsoft.com>")

# Add a few recipients
email.AddTo("Matt","matt@chilkatsoft.com")
email.AddTo("TagTooga","admin@tagtooga.com")

success = mailman.SendEmail(email)
if not success
	mailman.SaveLastError("lastError.txt");
end
