# file: SendArabicEmail.rb

# This source file was saved using the iso-8859-6  character encoding.
# I recommend the "EM Editor" by Emurasoft as a simple editor for editing Ruby source
# in various character encodings.

require '../chilkat'

# Ruby script to send email containing Arabic characters
mailman = Chilkat::CkMailMan.new()
mailman.UnlockComponent("anything for 30-day trial")

# SMTP hostname
mailman.put_SmtpHost("smtp.comcast.net")

# If your SMTP server requires a login, set login/password
# mailman.put_SmtpUsername("myUsername")
# mailman.put_SmtpPassword("myPassword")

# We need CkString to help with Arabic/iso-8859-6 
s1 = Chilkat::CkString.new()
s1.appendEnc("        .","iso-8859-6")

# Create a new email object
email = Chilkat::CkEmail.new()
# Indicate that string input/output to the email object will be utf-8.
email.put_Utf8(true)
# Use Arabic characters in the subject, body, etc.
email.put_Subject(s1.getUtf8())
email.put_Body(s1.getUtf8())
email.put_From("Support <support@chilkatsoft.com>")

# Add a few recipients
email.AddTo("Matt","matt@chilkatsoft.com")
email.AddTo("TagTooga","admin@tagtooga.com")

# Chilkat automatically recognizes the Arabic characters and chooses
# a typical charset for Arabic email: iso-8859-6  .
# Had the email contained characters not representable in iso-8859-6 (such as Chinese 
# characters) the component would have automatically chosen utf-8 as the encoding.

# The charset used throughout the entire email can be explicitly changed by setting
# the Charset property:
#email.put_Charset("utf-8")

# The following line of code is not required for this example.
# It saves the MIME source of the email so it can be reviewed
# in a text editor.
email.SaveEml("email.eml")

success = mailman.SendEmail(email)
if not success
	mailman.SaveLastError("lastError.txt");
end
