# file: imapCreateMailbox.rb

require '../chilkat'

# Ruby script to create a new IMAP mailbox.

imap = Chilkat::CkImap.new()
success = imap.UnlockComponent("anything for 30-day trial")
if not success
	print "imap component is locked!"
	exit
end

# Connect to the IMAP server
success = imap.Connect("mail.chilkatsoft.com")
if not success
	imap.SaveLastError("errorLog.txt")
	exit
end

# Login to the IMAP server.
success = imap.Login("***", "***")
if not success
	imap.SaveLastError("errorLog.txt")
	exit
end

# Create a mailbox.
success = imap.CreateMailbox("INBOX.RubyMail")
if not success
	imap.SaveLastError("errorLog.txt")
	exit
end

# Logout
imap.Logout()

# Disconnect from the IMAP server.
imap.Disconnect()
